i just got my new cronusmax plus today when i try to use the software i get the message unable to retrieve data from server , it also says the firmware installed is incompatiblewith this version of cronus software and says click ok to launch firmware to update, i click it a nd then next window says that my version is 1.20, later version ERROR and previous version ERROR, unable to connect to server please check internet and i cant update , can anybody help?